package com.eversec.dynamic;

import com.eversec.dynamic.entity.DnyAttr;
import com.eversec.dynamic.entity.DnyCate;
import com.eversec.dynamic.entity.DnyV;

import java.util.List;

/**
 * Created by liangxianyou at 2018/09/21
 */
public interface DnyMapper {
    List<DnyCate> findList(DnyCate cate, int pn, int ps);

    int findCount(DnyCate cate);

    List<DnyV> findAttrV(DnyCate dnyCate);

    //保存数据主体
    void save(DnyCate dnyCate);//确保保持并且返回cateid(数据主键到数据中) [cateId==0 ? insert : update]

    //保存数据属性
    void saveAttr(DnyAttr dnyAttr);

    //保存数据
    void saveAttrV(DnyV attrV);
}
